*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 02258
*          DRUG ABUSE TREATMENT OUTCOME STUDY (DATOS), 1991-1994:
*                             [UNITED STATES]
*             (DATASET 0007:  TIME IN TREATMENT AND INTERVIEW
*                         AVAILABILITY INDICATORS)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\02258-0007-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da02258-0007.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=19.
DATA LIST FILE=DATA /
            CASEID 15-19              DAYSIN 1-4                SOURCE 5
              MODALITY 6               INTAKE1 7               INTAKE2 8
                 ONEMO 9              THREEMO 10                SIXMO 11
             TWELVEMO 12             LASTINTV 13              FUP12MO 14

   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   DAYSIN    'DAYS IN TREATMENT' /
   SOURCE    'SOURCE OF DISCHARGE DATE VARIABLE' /
   MODALITY  'TREATMENT MODALITY' /
   INTAKE1   'INTAKE-1 INTERVIEW AVAILABLE' /
   INTAKE2   'INTAKE-2 INTERVIEW AVAILABLE' /
   ONEMO     'ONE-MONTH INTERVIEW AVAILABLE' /
   THREEMO   'THREE-MONTH INTERVIEW AVAILABLE' /
   SIXMO     'SIX-MONTH INTERVIEW AVAILABLE' /
   TWELVEMO  '12-MONTH INTERVIEW AVAILABLE' /
   LASTINTV  'LAST INTREATMENT INTERVIEW' /
   FUP12MO   'FOLLOWUP INTERVIEW AVAILABLE' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   DAYSIN    -9 'MISSING' /
   SOURCE    0 'NO DISCHARGE DATE AVAILABLE' 1 'FUP FIELDWORK FILE'
             2 'INTRTMENT CONTROL SYSTEM FILE'
             3 'CONTACT SHEET: DISCHARGE DATE' 4 'CTOS FILES'
             5 'CONTACT SHEET: LAST PHYSICAL CONTACT'
             6 'FUP: CLIENT SELF-REPORT'
             7 'CONTACT SHEET: DATE LAST INTERVIEW'
             8 'REVISED DATE/LAST INTERVIEW'
             9 'STILL IN TRTMT @ FOLLOWUP INTERVIEW DATE' /
   MODALITY  1 'RESIDENTIAL' 2 'SHORT-TERM INPATIENT'
             3 'METHADONE MAINTENANCE' 4 'OUTPATIENT DRUG FREE' /
   INTAKE1   1 'INTAKE-1 AVAILABLE' /
   INTAKE2   0 'NO INTAKE-2' 1 'INTAKE-2 AVAILABLE' /
   ONEMO     0 'NO 1-MONTH INTERVIEW' 1 '1-MONTH INTERVIEW AVAILABLE' /
   THREEMO   0 'NO 3-MONTH INTERVIEW' 1 '3-MONTH INTERVIEW AVAILABLE' /
   SIXMO     0 'NO 6-MONTH INTERVIEW' 1 '6-MONTH INTERVIEW AVAILABLE' /
   TWELVEMO  0 'NO 12-MONTH INTERVIEW' 1 '12-MONTH INTERVIEW AVAILABLE' /
   LASTINTV  1 'INTAKE-1' 2 'INTAKE-2' 3 'ONE-MONTH' 4 '3-MONTH' 5 '6-MONTH'
             6 '12-MONTH' /
   FUP12MO   0 'NO FOLLOWUP INTERVIEW' 1 'FOLLOWUP INTERVIEW ON DATAFILE' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
   DAYSIN (-9)
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
